/*
 * Community 组件的组件路由
 */
import 'package:cpt_payment/modules/add_card/add_card_page.dart';
import 'package:cpt_payment/modules/choose_card/choose_card_page.dart';
import 'package:router/componentRouter/payment_service.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';

import '../../modules/payment/payment_page.dart';

part 'payment_component_service.g.dart';

@Riverpod(keepAlive: true)
PaymentService paymentService(Ref ref) {
  return PaymentComponentService();
}

class PaymentComponentService extends PaymentService {
  @override
  void startPaymentPage() {
    PaymentPage.startInstance();
  }

  @override
  void startAddCardPage() {
    AddCardPage.startInstance();
  }

  @override
  void startChooseCardPage() {
    ChooseCardPage.startInstance();
  }
}
